
QGIS Application - Bug report #2056

fTools polygon centroids crash qgis in case of errors in shapefile

2009-11-06 08:00 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12116

Description

When trying to calculate centroids from a large and dirty shapefile, qgis throws some errors on the console and crashes:

ERROR 1: Corrupted .shp file : shape 5305 : panPartStartr1 = 970662609, nVertices = 93

ERROR 1: Corrupted .shp file : shape 9559, nPoints=6, nParts=1, nEntitySize=136.

ERROR 1: Corrupted .shp file : shape 51001, nPoints=22, nParts=1, nEntitySize=168.

ERROR 1: Corrupted .shp file : shape 57986, nPoints=16, nParts=1, nEntitySize=200.

ERROR 1: Corrupted .shp file : shape 74444, nPoints=36, nParts=1, nEntitySize=408.

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: qgis.bin: Fatal IO error: client killed

Segmentation fault

Associated revisions

Revision 757e7344 - 2009-11-29 01:29 PM - Jürgen Fischer

fix #2056

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12283 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b4265697 - 2009-11-29 01:29 PM - Jürgen Fischer

fix #2056

git-svn-id: http://svn.osgeo.org/qgis/trunk@12283 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-11-28 12:59 PM - Jürgen Fischer

Replying to pcav:

When trying to calculate centroids from a large and dirty shapefile, qgis throws some errors on the console and crashes:

can you provide an example to reproduce the problem?
http://svn.osgeo.org/qgis/trunk/qgis@12283
http://svn.osgeo.org/qgis/trunk@12283
/issues/show/2056


#2 - 2009-11-29 04:29 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:b4265697 (SVN r12284).
